Subject: Re: [PATCH net-next v3] net: ipv4: add support for ECMP hash policy choice

From: Stephen Hemminger <[email-masked]>
Date: Wed, 15 Mar 2017 08:20:23 -0700

On Wed, 15 Mar 2017 09:01:16 -0600
David Ahern <[email-masked]> wrote:

> On 3/15/17 3:17 AM, Nicolas Dichtel wrote:
> >>> Is there another patch to add the NETCONFA_ECMP support?
> >>>  
> >>
> >> does userspace care?  
> > Yes, I think it is needed so that userspace can correctly monitor this behavior.
> > It also enables to check this parameter through netlink.
> >   
> 
> I don't understand why userspace cares. What can userspace do with that
> information?

There are cases such as routing or switch control from userspace where the desire
is to track kernel behavior in an external program. I know of at least 3 cases where
this is done.